import { EventEmitter, SimpleChanges } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { ControlBase, InnerTableControl } from '../../model/base';
import { GenericControlService } from '../../service/generic-control.service';
import { GenericUtilityService } from '../../service/generic-utility.service';
import * as i0 from "@angular/core";
export declare class VerifyFormDialogComponent {
    protected formBuilder: FormBuilder;
    protected controlService: GenericControlService;
    protected utilityService: GenericUtilityService;
    modalVisible: boolean;
    modalTitle: string;
    modalVisibleChange: EventEmitter<any>;
    refresh: EventEmitter<any>;
    mode: number;
    controlList: ControlBase<string | string[] | number | Date | boolean>[] | null;
    innerTableList: InnerTableControl[];
    processing: boolean;
    handleId: number;
    submit: EventEmitter<any>;
    valueChange: EventEmitter<any>;
    form: FormGroup;
    currentControlList: ControlBase<string | string[] | number | Date | boolean>[] | null;
    constructor(formBuilder: FormBuilder, controlService: GenericControlService, utilityService: GenericUtilityService);
    ngOnChanges(changes: SimpleChanges): void;
    loadInitialData(): void;
    closeModal(): void;
    submitForm(event: MouseEvent): void;
    approveForm(data: any): void;
    rejectForm(data: any): void;
    getControlData(): any;
    resetForm(e: MouseEvent): void;
    controlValueChange(key: string): void;
    getControlValue(key: string): any;
    getSubmitInvalid(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<VerifyFormDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VerifyFormDialogComponent, "wi-verify-form-dialog", never, { "modalVisible": "modalVisible"; "modalTitle": "modalTitle"; "mode": "mode"; "controlList": "controlList"; "innerTableList": "innerTableList"; "processing": "processing"; "handleId": "handleId"; }, { "modalVisibleChange": "modalVisibleChange"; "refresh": "refresh"; "submit": "submit"; "valueChange": "valueChange"; }, never, never>;
}
