import { DatePipe } from '@angular/common';
import { DropDownItem, NumberKeyValueEntry, NumberKeyValueNode, TreeNode } from '../model/base';
import * as i0 from "@angular/core";
export declare class GenericUtilityService {
    private datePipe;
    constructor(datePipe: DatePipe);
    buildDateTimeStringFromString(input: string, format: string): string;
    buildDateTimeStringFromDate(input: Date, format: string): string;
    getCurrentTimeString(format: string): string;
    getYear(date: Date): number;
    getMonth(date: Date): number;
    getDay(date: Date): number;
    getYearString(date: Date): string;
    getMonthString(date: Date): string;
    getDayString(date: Date): string;
    getRandomNumber(min: number, max: number): number;
    getMonthTitle(month: number): string;
    getOffsetDate(date: Date, offset: number): Date;
    padZero(value: number, length: number): string;
    getFilterNumberValue(filterValue: string, defaultValue: number): number;
    getFilterStringValue(filterValue: string, defaultValue: string): string;
    getFilterDateTimeValue(filterDateTime: Date | null, format: string): string;
    getFilterDateValue(filterDateTime: Date | null, format: string): string;
    getFilterDateTimeRangeValue(filterDateTimeRange: (Date | null)[], format: string): {
        startDateTime: string;
        endDateTime: string;
    };
    getFilterDateRangeValue(filterDateRange: (Date | null)[], format: string): {
        startDateTime: string;
        endDateTime: string;
    };
    searchCascaderNode(cascaderNodeList: TreeNode[], value: string): TreeNode[];
    findCascaderNode(node: TreeNode, value: string, result: TreeNode[]): boolean;
    searchDropDownItem(itemList: DropDownItem[], value: string): DropDownItem | undefined;
    searchMultiDropDownItem(itemList: DropDownItem[], value: string[]): DropDownItem[];
    searchTreeNode(treeNodeList: TreeNode[], value: string): TreeNode | undefined;
    findTreeNode(node: TreeNode, value: string): (TreeNode | undefined);
    searchMultiTreeNode(treeNodeList: TreeNode[], value: string[]): TreeNode[];
    findMultiTreeNode(node: TreeNode, value: string[], result: TreeNode[]): void;
    getSingleNumberKeyValueEntryContent(list: NumberKeyValueEntry[], key: number): string;
    getMultuipleNumberKeyValueEntryContent(list: NumberKeyValueEntry[], keyList: number[]): string;
    getSingleNumberKeyValueNodeContent(list: NumberKeyValueNode[], key: number, fullContent: boolean): string;
    private findSingleNumberKeyValueNodeContent;
    getMultipleNumberKeyValueNodeContent(list: NumberKeyValueNode[], keyList: number[], fullContent: boolean): string;
    private findMultipleNumberKeyValueNodeContent;
    numberListToString(list: number[]): string;
    stringTonumberList(value: string): number[];
    stringListToString(list: string[]): string;
    stringToStringList(value: string): string[];
    toDropDownItemList(list: NumberKeyValueEntry[]): DropDownItem[];
    toTreeNodeTree(list: NumberKeyValueNode[]): TreeNode[];
    numberListToStringList(list: number[]): string[];
    static ɵfac: i0.ɵɵFactoryDeclaration<GenericUtilityService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GenericUtilityService>;
}
