import { EventEmitter, OnInit, SimpleChanges } from '@angular/core';
import { NgStyleInterface } from 'ng-zorro-antd/core/types';
import { ButtonDefinition, ColumnDefinition, RowValue } from '../../model/base';
import { GenericConfigService } from '../../service/generic-config.service';
import * as i0 from "@angular/core";
export declare class BackScrollTableComponent implements OnInit {
    protected configService: GenericConfigService;
    pageSize: number;
    pageSizeChange: EventEmitter<number>;
    pageIndex: number;
    pageIndexChange: EventEmitter<number>;
    tableName: string;
    totalCount: number;
    tableHeight: number;
    tableWidth: number;
    listLoading: boolean;
    columnDefinitionList: ColumnDefinition[];
    rowValueList: RowValue[];
    buttonDefinitionList: ButtonDefinition[];
    dropDownButtonDefinitionList: ButtonDefinition[];
    pageOption: number[];
    customColumn: boolean;
    dropdownButtonTitle: string;
    handle: EventEmitter<any>;
    customColumnDefinitionList: ColumnDefinition[];
    currentColumnDefinitionList: ColumnDefinition[];
    paginationHeight: number;
    tableHeaderHeight: number;
    scroll: {
        y: string;
    };
    headerHeight: number;
    lastPage: boolean;
    previousPageIndex: number;
    previousPageTitle: string;
    nextPageTitle: string;
    previousPageValid: boolean;
    nextPageValid: boolean;
    reachEnd: boolean;
    item: any;
    definitionModalVisible: boolean;
    definitionModalTitle: string;
    constructor(configService: GenericConfigService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    moveBackward(): void;
    movePreviousPage(): void;
    moveForward(): void;
    moveNextPage(): void;
    ngPageSizeChange(value: string): void;
    adjustColumn(): void;
    loadColumnDefinitionList(): void;
    getButtonWidth(): number;
    getButtonWidthPixel(): string;
    getValue(row: RowValue, key: string, type: number): string;
    getImage(row: RowValue, key: string, type: number): string;
    getColor(row: RowValue, key: string): string;
    getWidth(width: number): string;
    buttonClick(item: any, id: number): void;
    getButtonDisabled(row: RowValue, id: number): boolean;
    getButtonHidden(row: RowValue, id: number): boolean;
    getButtonDanger(row: RowValue, id: number): boolean;
    getCellStyle(item: RowValue, columnName: string): NgStyleInterface;
    showDefinition(): void;
    getTableHeight(): number;
    getDropdownButtonValid(row: RowValue): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BackScrollTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BackScrollTableComponent, "wi-back-scroll-table", never, { "pageSize": "pageSize"; "pageIndex": "pageIndex"; "tableName": "tableName"; "totalCount": "totalCount"; "tableHeight": "tableHeight"; "tableWidth": "tableWidth"; "listLoading": "listLoading"; "columnDefinitionList": "columnDefinitionList"; "rowValueList": "rowValueList"; "buttonDefinitionList": "buttonDefinitionList"; "dropDownButtonDefinitionList": "dropDownButtonDefinitionList"; "pageOption": "pageOption"; "customColumn": "customColumn"; "dropdownButtonTitle": "dropdownButtonTitle"; "lastPage": "lastPage"; }, { "pageSizeChange": "pageSizeChange"; "pageIndexChange": "pageIndexChange"; "handle": "handle"; }, never, never>;
}
