import { EventEmitter, OnInit, SimpleChanges } from '@angular/core';
import { NzModalService } from 'ng-zorro-antd/modal';
import { ColumnDefinition } from '../../model/base';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { GenericConfigService } from '../../service/generic-config.service';
import * as i0 from "@angular/core";
export declare class ColumnDefinitionComponent implements OnInit {
    protected configService: GenericConfigService;
    protected modalService: NzModalService;
    modalVisible: boolean;
    modalTitle: string;
    modalVisibleChange: EventEmitter<any>;
    tableName: string;
    columnDefinitionList: ColumnDefinition[];
    columnDefinitionListChange: EventEmitter<any>;
    refresh: EventEmitter<any>;
    editCache: {
        [key: string]: {
            edit: boolean;
            data: ColumnDefinition;
        };
    };
    defaultColumnDefinitionList: any[];
    constructor(configService: GenericConfigService, modalService: NzModalService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    load(): void;
    reload(): void;
    save(): void;
    closeModal(): void;
    reset(): void;
    drop(event: CdkDragDrop<string[]>): void;
    getAlignTitle(value: string | null): string;
    getFeatureTitle(value: string): string;
    startEdit(id: number): void;
    cancelEdit(id: number): void;
    saveEdit(id: number): void;
    updateEditCache(): void;
    check(): boolean;
    protected showError(message: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnDefinitionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColumnDefinitionComponent, "wi-column-definition", never, { "modalVisible": "modalVisible"; "modalTitle": "modalTitle"; "tableName": "tableName"; "columnDefinitionList": "columnDefinitionList"; }, { "modalVisibleChange": "modalVisibleChange"; "columnDefinitionListChange": "columnDefinitionListChange"; "refresh": "refresh"; }, never, never>;
}
